Skip to content
Docs

Update deployment integration action

PATCHhttps://api.vercel.com/v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action}
Updates the deployment integration action for the specified integration installation
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
await vercel.deployments.updateIntegrationDeploymentAction({
deploymentId: "<id>",
integrationConfigurationId: "<id>",
resourceId: "<id>",
action: "<value>",
});
}
run();
Response
{}
AuthorizationbearerToken

Default authentication mechanism

deploymentIdstringRequired
integrationConfigurationIdstringRequired
resourceIdstringRequired
actionstringRequired
application/json
statusstringOptional
statusTextstringOptional
statusUrlstringOptional
outcomesarrayOptional
202Success
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error